ch.qos.logback.classic

## Class BasicConfigurator

- java.lang.Object
- - ch.qos.logback.classic.BasicConfigurator

    public class BasicConfigurator
    extends java.lang.Object

BasicConfigurator configures logback-classic by attaching a `ConsoleAppender` to the root logger. The console appender's layout is set to a `PatternLayout` with the pattern "%d{HH:mm:ss.SSS} [%thread] %-5level %logger{36} - %msg%n".

Author:
  Ceki Gulcu

### Method Summary

Methods
`static void` `configure(LoggerContext lc)`
`static void` `configureDefaultContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### configure

    public static void configure(LoggerContext lc)

#### configureDefaultContext

    public static void configureDefaultContext()